Gecode::FlatZinc::PosIntChoice Class Reference

Choice storing position and value More...

`#include <branch.hh>`

## Public Member Functions

| PosIntChoice (const Brancher &b, unsigned int a, int p, int n)
| Initialize choice for brancher b, number of alternatives a, position p, and value n.
int | pos (void) const
| Return position of view to assign.
int | val (void) const
| Return value to assign to.
virtual void | archive (Archive &e) const
| Archive into e.
Public Member Functions inherited from Gecode::Choice
unsigned int | alternatives (void) const
| Return number of alternatives.
virtual | ~Choice (void)
| Destructor.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.
Protected Member Functions inherited from Gecode::Choice
| Choice (const Brancher &b, const unsigned int a)
| Initialize for particular brancher b and alternatives a.

## Detailed Description

Choice storing position and value

Definition at line 246 of file branch.hh.

## Constructor & Destructor Documentation

## PosIntChoice()

Gecode::FlatZinc::PosIntChoice::PosIntChoice | ( | const Brancher & | b,
|  | unsigned int | a,
|  | int | p,
|  | int | n )

inline

Initialize choice for brancher b, number of alternatives a, position p, and value n.

Definition at line 291 of file branch.hpp.

## Member Function Documentation

## pos()

int Gecode::FlatZinc::PosIntChoice::pos | ( | void |  | ) | const

inline

Return position of view to assign.

Definition at line 294 of file branch.hpp.

## val()

int Gecode::FlatZinc::PosIntChoice::val | ( | void |  | ) | const

inline

Return value to assign to.

Definition at line 298 of file branch.hpp.

## archive()

void Gecode::FlatZinc::PosIntChoice::archive | ( | Archive & | e | ) | const

virtual

Archive into e.

Reimplemented from Gecode::Choice.

Definition at line 40 of file branch.cpp.

The documentation for this class was generated from the following files:

- gecode/flatzinc/branch.hh
- gecode/flatzinc/branch.cpp
- gecode/flatzinc/branch.hpp